local Lib = MissionMinderPreLoad;
local DEBUG = Lib.debug;
Lib.callbacks = Lib.callbacks or LibStub("CallbackHandler-1.0"):New(Lib)

Lib.hooks = {};
local module = Lib.hooks;


local GARRISON_CACHE = 10
local function garrisonCacheLooted(event, ...)
	local typeIdentifier, itemLink, quantity, specID, sex, isPersonal, lootSource = ...;
	if ( lootSource == GARRISON_CACHE ) then
		Lib.callbacks:Fire("GARRISON_CACHE_LOOTED", quantity)
	end
end

local function shipmentLooted(event)
	if ( IsMapGarrisonMap(GetCurrentMapAreaID()) ) then -- Only fire while in garrison
		C_Garrison.RequestLandingPageShipmentInfo();
	end
end

local function workOrderStarted(event, shipmentStarted, ...)
	if (shipmentStarted) then
		C_Garrison.RequestLandingPageShipmentInfo();
	end
end

local function requestLandingPageShipmentUpdate(event, ...)
	if ( not GarrisonLandingPage ) then -- while landing page doesn't exist
		C_Garrison.RequestLandingPageShipmentInfo();
	end
end

local function shipmentUpdateAvailable(event, ...)
	Lib.callbacks:Fire("SHIPMENT_UPDATE_AVAILABLE")
end

--[===[@alpha@
local function debugEvent(...)
	print("[EVENT]", ...)
end
--@end-alpha@]===]

local function startBuilding(event, plotID)
	Lib.callbacks:Fire("BUILDING_UPDATE_AVAILABLE", plotID)
	C_Garrison.RequestLandingPageShipmentInfo(); -- need to update workorders for the added building
end

local function removedBuilding(event, plotID, buildingID)
	Lib.callbacks:Fire("BUILDING_UPDATE_AVAILABLE", plotID)
	C_Garrison.RequestLandingPageShipmentInfo(); -- need to update workorders for the removed building
end

local function activateBuilding(event, plotID, buildingID)
	Lib.callbacks:Fire("BUILDING_UPDATE_AVAILABLE", plotID)
	C_Garrison.RequestLandingPageShipmentInfo(); -- need to update workorders for the activated building
end

local function initialize()
	DEBUG("   |cffffffffpreload-Hooks|r initialized");

	-- GARRISON_CACHE_LOOTED
	Lib:RegisterEvent("hooks", "SHOW_LOOT_TOAST", garrisonCacheLooted)

	-- SHIPMENT_UPDATE_AVAILABLE
	Lib:RegisterEvent("hooks", "LOOT_CLOSED", shipmentLooted)
	Lib:RegisterEvent("hooks", "SHIPMENT_UPDATE", workOrderStarted)
	Lib:RegisterEvent("hooks", "GARRISON_SHIPMENT_RECEIVED", requestLandingPageShipmentUpdate)
	Lib:RegisterEvent("hooks", "GARRISON_LANDINGPAGE_SHIPMENTS", shipmentUpdateAvailable)

	-- BUILDING_UPDATE_AVAILABLE
	Lib:RegisterEvent("hooks", "GARRISON_BUILDING_PLACED", startBuilding)
	Lib:RegisterEvent("hooks", "GARRISON_BUILDING_REMOVED", removedBuilding)
	Lib:RegisterEvent("hooks", "GARRISON_BUILDING_ACTIVATED", activateBuilding)

	--[===[@alpha@
	Lib.RegisterCallback("_hooks", "GARRISON_CACHE_LOOTED", debugEvent)
	Lib.RegisterCallback("_hooks", "SHIPMENT_UPDATE_AVAILABLE", debugEvent)
	Lib.RegisterCallback("_hooks", "BUILDING_UPDATE_AVAILABLE", debugEvent)
	--@end-alpha@]===]
end

Lib:RegisterEvent("hooks", "ADDON_LOADED", initialize);
