## Unreleased
##### Fixed
* [#49] Tracking missions across character is system dependent

##### Added
* [#45] Track garrison resource cache across multiple characters
* [#50] Show missions tracked across characters in Garrison Report
* [#51] Track work orders across characters (shown in Garrison Report)

##### Changed
* Reorganize for two addon directories
 * MissionMinder-PreLoad - To handle scenarios were Blizzard_GarrisonUI isn't required to be loaded
 * MissionMinder - For the core functionality that does require Blizzard_GarrisonUI to be loaded.
* [#47] Move mission tracking saved variables to preload

[#51]: http://wow.curseforge.com/addons/missionminder/tickets/51-track-work-orders-across-characters/
[#50]: http://wow.curseforge.com/addons/missionminder/tickets/50-show-missions-tracked-across-characters-on-landing/
[#49]: http://wow.curseforge.com/addons/missionminder/tickets/49-tracking-missions-across-character-is-system-dependent/
[#47]: http://wow.curseforge.com/addons/missionminder/tickets/47-move-mission-tracking-across-characters-to-preload/
[#45]: http://wow.curseforge.com/addons/missionminder/tickets/45-track-garrison-resource-cache-across-multiple-characters/

---

## v1.1.5 - 2015-02-09
##### Fixed
* [#46] - QuickLoot error "refreshCompletedMissions" (a nil value) 
* [#48] - Scrolling missions while completing a mission causes tooltip to show
* [#44] - nil mission error in Blizzard code on completion frame

##### Added
* [#43] - Tracking in progress missions across multiple characters

##### Changed
* Various improvements

[#48]: http://wow.curseforge.com/addons/missionminder/tickets/48-scrolling-missions-while-completing-a-mission-causes/
[#46]: http://wow.curseforge.com/addons/missionminder/tickets/46-quick-loot-error-refresh-completed-missions-a-nil-value/
[#44]: http://wow.curseforge.com/addons/missionminder/tickets/44-nil-mission-error-in-blizzard-code-on-completion-frame/
[#43]: http://wow.curseforge.com/addons/missionminder/tickets/43-track-in-progress-missions-across-multiple-characters/

---

## v1.1.4 - 2015-02-07
##### Changes
* Rollback to v1.1.2 due to [#46], formal fix expected soon.

[#46]: http://wow.curseforge.com/addons/missionminder/tickets/46-quick-loot-error-refresh-completed-missions-a-nil-value/

---

## v1.1.3 - 2015-02-06
##### Fixed
* [#44] - nil mission error in Blizzard code on completion frame

##### Added
* [#43] - Tracking in progress missions across multiple characters

##### Changed
* Various improvements

[#44]: http://wow.curseforge.com/addons/missionminder/tickets/44-nil-mission-error-in-blizzard-code-on-completion-frame/
[#43]: http://wow.curseforge.com/addons/missionminder/tickets/43-track-in-progress-missions-across-multiple-characters/

---

## v1.1.2 - 2015-02-01
##### Fixed
* SkipFightAnimation no longer handles events unrelated to the current mission
* QuickLoot should play appropriate success/fail sounds regardless of SkipFightAnimations

##### Added
* Added 6.1 support
* Mission Rewards now show item quality border
* Mission tooltip now shows countered threats based on the minimized party (6.1 only) 
* How long a mission will be available for now shows on the mission button (6.1 only)
* Periodically update follower list for mission time remaining (6.1 only)

---

## v1.1.1 - 2015-01-24
##### Fixed
* [#23] - QuickLoot messages should no longer show while ListView is disabled
* [#25] - Blizzard_GarrisonUI : StartDrag from an empty party member causes everything to break
* [#30] - Blizzard_GarrisonUI : Upgrading a follower's itemlevel doesn't recalculate mission counters
* [#31] - Clicking the Configure MissionMinder gear buttons should now select MissionMinder frame even on initial load
* [#32] - QuickLoot : Fixed rare double click, no update issue that caused a mission to report as both failed and successful
* [#34] - Blizzard_GarrisonUI : Scrolling through list of buttons does not update tooltips or context menus
* [#36] - AutoClose on BonusXP mission with only maxed followers
* [#38] - SuccessChance returns nil on InProgress update
* [#39] - Restoring minimized mission doesn't update follower level up

##### Added
* [#35] - Allow MissionPage to be minimized without clearing party
 * Available mission tooltips now detail the party assigned to a mission
 * Available missions with assigned followers now show followers on mission button
 * Show "in party" followers on mission tooltips
 * Show assigned mission on follower tooltip
* In Progress / Completed missions now show followers on mission button
* [#24] - Drag and Drop to switch party members
* [#12] - Follower level up suggestions
* [#27] - Show success chance on in-progress/completed missions
* [#28] - Show follower xp remaining in follower list
* Followers assigned to a mission will show the estimated amount of experience they should gain
* [#33] - Show Bonus XP amount on reward icon for mission buttons
* Show Gold amount on reward icon for mission buttons

##### Changed
* Active follower counter totals now depress when clicked
* Include CallbackHandler-1.0 in OptionalDeps

[#39]: http://wow.curseforge.com/addons/missionminder/tickets/39-restoring-minimized-mission-doesnt-update-follower/
[#38]: http://wow.curseforge.com/addons/missionminder/tickets/38-success-chance-returns-nil-on-inprogress-update/
[#36]: http://wow.curseforge.com/addons/missionminder/tickets/36-auto-close-on-bonus-xp-with-only-maxed-followers/
[#35]: http://wow.curseforge.com/addons/missionminder/tickets/35-allow-the-mission-page-to-be-minimized-without-clearing/
[#34]: http://wow.curseforge.com/addons/missionminder/tickets/34-blizzard_garrison-ui-scrolling-through-mission-list/
[#33]: http://wow.curseforge.com/addons/missionminder/tickets/33-show-bonus-xp-amount-on-reward-icon/
[#32]: http://wow.curseforge.com/addons/missionminder/tickets/32-quick-loot-message-showed-mission-both-failed-and-succeeded/
[#31]: http://wow.curseforge.com/addons/missionminder/tickets/31-investigate-blizzard-options-interface-initial-loading/
[#30]: http://wow.curseforge.com/addons/missionminder/tickets/30-blizzard_garrison-ui-upgrading-a-followers-ilvl-doesnt/
[#28]: http://wow.curseforge.com/addons/missionminder/tickets/28-show-follower-xp-remaining-in-follower-list/
[#27]: http://wow.curseforge.com/addons/missionminder/tickets/27-show-success-chance-on-in-progress-completed-missions/
[#25]: http://wow.curseforge.com/addons/missionminder/tickets/25-blizzard_garrison-ui-start-drag-from-an-empty-party/
[#24]: http://wow.curseforge.com/addons/missionminder/tickets/24-drag-and-drop-to-switch-party-members/
[#23]: http://wow.curseforge.com/addons/missionminder/tickets/23-quick-loot-messages-show-while-list-view-disabled/
[#12]: http://wow.curseforge.com/addons/missionminder/tickets/12-follower-level-up-suggestion/

---

## v1.1.0 - 2014-12-30
##### Fixed
* [#13] - Working or inactive followers no longer count forward Active Follower Counters
* [#18] - Fix issue with mission tooltips not properly filtering followers
* [#5] - Fixed view completed missions dialog showing on In Progress tab (when list view enabled)
* [#6] - Fixed completed missions not being removed from list
* [#17] - Fixed non-clickable completed missions
* Fix localization issue with Configure MissionMinder tooltip
* Fix packaging issues

##### Added
* [#9] - You can now double click to add follower to a mission!
* [#14] - (optional) Allow ListView to be enabled/disabled
* (optional) Followers tab now shows a count of Active Followers Counter's
* [#22] - Clear follower search/filter on mission frame close
* [#8] - Item Level missions now show follower's item level instead of their level on the counter tooltip
* [#3] - (optional) Ignore experience increasing traits as a counter, unless the mission rewards Bonus XP 
* [#19] - Add mission time remaining to follower tooltips
* [#1] - Follower levels now indicate bias towards mission and tooltips now show bias
* [#4] - (optional) Show individual follower XP gains when using QuickLoot
* Traditional Chinese (zhTW) - Thank you BNSSNB
* French (frFr) - Thank you jimym

##### Changed
* Adjust AutoClose to have better timing on "no actions available" other than closing
* Rename modules

[#22]: http://wow.curseforge.com/addons/missionminder/tickets/22-clear-follower-search-filter-on-frame-close/
[#19]: http://wow.curseforge.com/addons/missionminder/tickets/19-display-time-until-available-on-follower-tooltips/
[#18]: http://wow.curseforge.com/addons/missionminder/tickets/18-inactive-followers-shown-as-available/
[#17]: http://wow.curseforge.com/addons/missionminder/tickets/17-occasionally-clicking-a-completed-mission-wont-do-anything/
[#14]: http://wow.curseforge.com/addons/missionminder/tickets/14-allow-list-view-to-be-optionally-disabled/
[#13]: http://wow.curseforge.com/addons/missionminder/tickets/13-ignore-working-followers-for-counter-totals/
[#9]: http://wow.curseforge.com/addons/missionminder/tickets/9-double-click-to-add-follower-to-mission/
[#8]: http://wow.curseforge.com/addons/missionminder/tickets/8-item-level-missions-should-show-follower-ilvl-instead/
[#6]: http://wow.curseforge.com/addons/missionminder/tickets/6-completed-mission-not-removed-from-list/
[#5]: http://wow.curseforge.com/addons/missionminder/tickets/5-view-completed-missions-dialog-shows-when-on-in-progress/
[#4]: http://wow.curseforge.com/addons/missionminder/tickets/4-add-option-to-show-individual-follower-xp-gains/
[#3]: http://wow.curseforge.com/addons/missionminder/tickets/3-ignore-experience-gain-traits-as-a-counter/
[#1]: http://wow.curseforge.com/addons/missionminder/tickets/1-show-follower-bias-when-planning-a-mission/

---

## v1.0.2 - 2014-12-17
##### Fixed
* [#15] - Fixed missing transitive dependency

[#15]: http://wow.curseforge.com/addons/missionminder/tickets/15-missing-transitive-dependency/

---

## v1.0.1 - 2014-12-08
###### Fixed
* [#2] - Followers that are "working" show as "available"

###### Added
* List View
* Planner: Mission tooltips
* Planner: Follower tooltips
* Quick Loot
* Skip Fight Animations
* Automatically open rewards chest
* Automatically close on loot

[#2]: http://wow.curseforge.com/addons/missionminder/tickets/2-followers-that-are-working-show-as-available/
